<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="797b1296-243e-4f6c-b5c8-d9ea68423c1d" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/google-api-php-client-2.2.1/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="login.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/action/login.php">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file leaf-file-name="index.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/admin/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="690">
              <caret line="132" selection-start-line="132" selection-end-line="134" selection-end-column="2" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="index.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/index.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="12" selection-start-line="12" selection-end-line="16" selection-end-column="1" />
              <folding>
                <element signature="e#2667#2671#0#HTML" expanded="true" />
                <element signature="e#2924#2928#0#HTML" expanded="true" />
                <element signature="e#3193#3200#0#HTML" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="buySong.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/action/buySong.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="238">
              <caret line="19" column="1" selection-start-line="19" selection-start-column="1" selection-end-line="19" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="GetSignature.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/GetSignature.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="527">
              <caret line="36" column="35" lean-forward="true" selection-start-line="36" selection-start-column="35" selection-end-line="36" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="uploadnewsong.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/admin/uploadnewsong.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="425">
              <caret line="30" selection-start-line="30" selection-end-line="39" selection-end-column="2" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="layout.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/includes/layout.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="527">
              <caret line="75" column="70" selection-start-line="75" selection-start-column="70" selection-end-line="75" selection-end-column="70" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UploadNewSong.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/admin/action/UploadNewSong.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="340">
              <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="GetSignature.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/action/GetSignature.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="690">
              <caret line="136" column="60" selection-start-line="136" selection-start-column="60" selection-end-line="136" selection-end-column="60" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="init.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/includes/init.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="340">
              <caret line="20" column="43" selection-start-line="20" selection-start-column="43" selection-end-line="20" selection-end-column="43" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>full-w</find>
      <find>color</find>
      <find>playlist</find>
      <find>playlist-dr</find>
      <find>background-color</find>
      <find>m</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/.htaccess" />
        <option value="$PROJECT_DIR$/includes/form_layout.php" />
        <option value="$PROJECT_DIR$/admin/uploadnewsong.php" />
        <option value="$PROJECT_DIR$/admin/edit_message.php" />
        <option value="$PROJECT_DIR$/admin/action/editSong.php" />
        <option value="$PROJECT_DIR$/admin/editSong.php" />
        <option value="$PROJECT_DIR$/includes/session.php" />
        <option value="$PROJECT_DIR$/admin/index.php" />
        <option value="$PROJECT_DIR$/soundmanager2/css/bar-ui.css" />
        <option value="$PROJECT_DIR$/index.php" />
        <option value="$PROJECT_DIR$/includes/init.php" />
        <option value="$PROJECT_DIR$/includes/layout.php" />
        <option value="$PROJECT_DIR$/admin/action/UploadNewSong.php" />
        <option value="$PROJECT_DIR$/GetSignature.php" />
        <option value="$PROJECT_DIR$/action/buySong.php" />
        <option value="$PROJECT_DIR$/action/GetSignature.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/psr/cache" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/psr/log" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/phpseclib/phpseclib" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/google/apiclient-services" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/google/auth" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/firebase/php-jwt" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/composer" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/google-api-php-client-2.2.1/vendor/guzzlehttp/psr7" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="260" />
    <option name="y" value="20" />
    <option name="width" value="1400" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="AudioWaterMark" type="b2602c69:ProjectViewProjectNode" />
              <item name="AudioWaterMark" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="AudioWaterMark" type="b2602c69:ProjectViewProjectNode" />
              <item name="AudioWaterMark" type="462c0819:PsiDirectoryNode" />
              <item name="action" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="AudioWaterMark" type="b2602c69:ProjectViewProjectNode" />
              <item name="AudioWaterMark" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="AudioWaterMark" type="b2602c69:ProjectViewProjectNode" />
              <item name="AudioWaterMark" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
              <item name="action" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="AudioWaterMark" type="b2602c69:ProjectViewProjectNode" />
              <item name="AudioWaterMark" type="462c0819:PsiDirectoryNode" />
              <item name="includes" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="797b1296-243e-4f6c-b5c8-d9ea68423c1d" name="Default" comment="" />
      <created>1526487298581</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1526487298581</updated>
      <workItem from="1526487299881" duration="10174000" />
      <workItem from="1526529186617" duration="32511000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="42685000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="260" y="20" width="1400" height="1000" extended-state="0" />
    <layout>
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32996634" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="1" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/login.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/action/login.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="31" selection-end-column="2" />
          <folding>
            <element signature="e#2667#2671#0#HTML" expanded="true" />
            <element signature="e#2924#2928#0#HTML" expanded="true" />
            <element signature="e#3193#3200#0#HTML" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" selection-start-line="7" selection-end-line="17" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/form_layout.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1377">
          <caret line="81" column="1" selection-start-line="81" selection-start-column="1" selection-end-line="81" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/uploadnewsong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="32" column="22" selection-start-line="32" selection-start-column="22" selection-end-line="32" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/init.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="19" column="55" selection-start-line="19" selection-start-column="55" selection-end-line="19" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/action/edit_message.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="26" selection-start-line="26" selection-end-line="49" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/edit_message.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1649">
          <caret line="97" column="14" selection-start-line="97" selection-start-column="14" selection-end-line="97" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/action/UploadNewSong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1904">
          <caret line="112" column="56" lean-forward="true" selection-start-line="112" selection-start-column="56" selection-end-line="112" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.htaccess">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="36" selection-start-line="3" selection-start-column="36" selection-end-line="3" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/edit_message.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" selection-start-line="7" selection-end-line="110" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/action/edit_message.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="738">
          <caret line="49" column="1" lean-forward="true" selection-start-line="8" selection-end-line="49" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/google-api-php-client-2.2.1/service_account_keys.json">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/action/editSong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="534">
          <caret line="36" column="60" selection-start-line="36" selection-start-column="60" selection-end-line="36" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/editSong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="42" column="65" selection-start-line="42" selection-start-column="65" selection-end-line="42" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/session.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="43" selection-start-line="11" selection-start-column="43" selection-end-line="11" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/message.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/login.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1302" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/soundmanager2/css/bar-ui.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="321">
          <caret line="103" column="3" selection-start-line="103" selection-start-column="3" selection-end-line="103" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/database.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/form_layout.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="799">
          <caret line="81" column="1" selection-start-line="81" selection-start-column="1" selection-end-line="81" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/init.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="340">
          <caret line="20" column="43" selection-start-line="20" selection-start-column="43" selection-end-line="20" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="690">
          <caret line="132" selection-start-line="132" selection-end-line="134" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/includes/layout.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="75" column="70" selection-start-line="75" selection-start-column="70" selection-end-line="75" selection-end-column="70" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/uploadnewsong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="425">
          <caret line="30" selection-start-line="30" selection-end-line="39" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin/action/UploadNewSong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="340">
          <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/action/login.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" selection-start-line="12" selection-end-line="16" selection-end-column="1" />
          <folding>
            <element signature="e#2667#2671#0#HTML" expanded="true" />
            <element signature="e#2924#2928#0#HTML" expanded="true" />
            <element signature="e#3193#3200#0#HTML" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/action/buySong.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="19" column="1" selection-start-line="19" selection-start-column="1" selection-end-line="19" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/GetSignature.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="36" column="35" lean-forward="true" selection-start-line="36" selection-start-column="35" selection-end-line="36" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/action/GetSignature.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="690">
          <caret line="136" column="60" selection-start-line="136" selection-start-column="60" selection-end-line="136" selection-end-column="60" />
        </state>
      </provider>
    </entry>
  </component>
</project>